Zones

Endpoints related to zones

Retrieve zones

get

Returns a list of the DNS zones for the customer. Default limit is the first 100 items. Use pagination query parameters for listing more items (up to 1000).

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Query parameters
filter.statestring · enumOptional

The list of possible provisioning states in which DNS resource could be at the specific time.

  • AVAILABLE - resource exists and is healthy.
  • PROVISIONING - resource is being created or updated.
  • DESTROYING - delete command was issued, the resource is being deleted.
  • FAILED - creation of the resource failed.
Possible values:
filter.zoneNamestringOptional

Filter used to fetch only the zones that contain the specified zone name.

Example: example.com
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100
Responses
chevron-right
200

Successful operation.

application/json

List of primary zones

idstring · uuidRequired

ID (UUID) created to identify this action.

Example: e74d0d15-f567-4b7b-9069-26ee1f93bae3
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
offsetnumberRead-onlyRequired

Pagination offset.

Example: 0
limitnumberRead-onlyRequired

Pagination limit.

Example: 1000
get
/zones

Create a zone

post

Creates a new zone with default NS and SOA records.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Body
Responses
post
/zones

Retrieve a zone

get

Returns a DNS zone by given ID.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Responses
chevron-right
200

Successful operation.

application/json
idstring · uuidRequired

The zone ID (UUID).

Example: e74d0d15-f567-4b7b-9069-26ee1f93bae3
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
get
/zones/{zoneId}

Update a zone

put

Updates or creates a zone for the provided zone ID.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Body
Responses
put
/zones/{zoneId}

Delete a zone

delete

Deletes the specified zone and all of the records it contains.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Responses
delete
/zones/{zoneId}

Last updated

Was this helpful?